Strange (Geopackage?) behaviour 

2018-01-16 01:23 PM - Richard Duivenvoorde

Status: Feedback

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25762

Description

See https://gis.stackexchange.com/questions/267642/missing-a-feature-after-digitalization-of-a-geopackage-vector-in-qgis

Attached Geopackage has 3 features, epsg:3006

When you zoom out you see the third (newly digitized) one in the Mapcanvas

But zooming in it vanishes.

In attribute table you can always see it, can even copy paste it from there:

wkt_geom    fid    Id    river    reach

LineString (540748.95155992545187473 6445081.75009414739906788, 540770.64956660254392773

6445291.18302816152572632, 540754.61190949333831668 6445435.52194214425981045, 540731.02711962687317282

6445495.89900420233607292, 540680.0839735153131187 6445643.06809296924620867, 540654.65020835073664784

6445727.73851544689387083)    3    3    Stangan    upstream

If you instruct QGIS to copy/paste geojson:

{ "type": "FeatureCollection",

    "features":[

{

   "type":"Feature",

   "id":3,

   "bbox":[15.690706, 58.145171, 15.6926, 58.150981],

   "geometry":

   {"type": "LineString", "coordinates": [ [15.692195, 58.145171], [15.6926, 58.14705], [15.692353, 58.148348], [15.691963,

58.148892], [15.691123, 58.150219], [15.690706, 58.150981]]},

   "properties":{

      "fid":3,

      "Id":3,

      "river":"Stangan",

      "reach":"upstream" 

   }

}

]}

And then it is a valid geometry to, for example paste it to http://geojson.io to view it.
Coordinates seem fine.

But you cannot select it in QGIS either???

History

#1 - 2018-01-16 01:25 PM - Richard Duivenvoorde

Other observation: if you save the gpkg as an Esri Shapefile, and load it in QGIS it behaves perfectly normal...

#2 - 2018-01-17 11:44 AM - Jérôme Guélat

Everything seems to be OK if you save the GeoPackage as a new GeoPackage... Maybe there's a problem with the spatial index (see #16154)

#3 - 2018-06-18 01:04 PM - Johannes Kroeger

I dropped the index from the file via SQLite and afterwards it displayed fine in QGIS. So another vote that this is a bad spatial index in the file and not a

QGIS bug.

#4 - 2019-03-09 04:34 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

Files

RverReaches.gpkg 116 KB 2018-01-16 Richard Duivenvoorde
